Bug 1129485 - Touchpad weirdeness on Dell XPM 13 9333 SBNB2303
Summary: Touchpad weirdeness on Dell XPM 13 9333 SBNB2303
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: xorg-x11-drv-synaptics
Version: 7.0
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Peter Hutterer
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-12 21:13 UTC by Fabio Alessandro Locati
Modified: 2016-07-18 11:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-09 23:48:11 UTC


Attachments (Terms of Use)

Description Fabio Alessandro Locati 2014-08-12 21:13:59 UTC
Description of problem:
The buttons are "read" as part of the touchpad, so if I hold a finger on the left button (without pressing it) and move another finger on the touchpad itself, RHEL7 interpenetrates it as a two finger scroll. This is the wrong behavior, because it should not consider the buttons area as an active touchpad area. On Fedora 20 this problem does _NOT_ occurs.

Version-Release number of selected component (if applicable):
kernel.x86_64                   3.10.0-123.6.3.el7          @rhel-7-desktop-rpms
xorg-x11-drv-synaptics.x86_64   1.7.1-10.el7_0.1            @rhel-7-desktop-rpms

Additional info:
# xinput -list
⎡ Virtual core pointer                          id=2    [master pointer  (3)]
⎜   ↳ Virtual core XTEST pointer                id=4    [slave  pointer  (2)]
⎜   ↳ SYNAPTICS Synaptics Large Touch Screen    id=9    [slave  pointer  (2)]
⎜   ↳ SynPS/2 Synaptics TouchPad                id=12   [slave  pointer  (2)]
⎣ Virtual core keyboard                         id=3    [master keyboard (2)]
    ↳ Virtual core XTEST keyboard               id=5    [slave  keyboard (3)]
    ↳ Power Button                              id=6    [slave  keyboard (3)]
    ↳ Video Bus                                 id=7    [slave  keyboard (3)]
    ↳ Power Button                              id=8    [slave  keyboard (3)]
    ↳ Integrated Webcam                         id=10   [slave  keyboard (3)]
    ↳ AT Translated Set 2 keyboard              id=11   [slave  keyboard (3)]
    ↳ Dell WMI hotkeys                          id=13   [slave  keyboard (3)]

Comment 2 Fabio Alessandro Locati 2014-08-12 21:57:50 UTC
On bug #1048314 there is some talk about problems on the same touchpad on different kernel versions, so it could end up being more a kernel problem than a driver problem.

Comment 3 Peter Hutterer 2014-09-24 05:17:55 UTC
Apologies for the delay, this one slipped through. Please record your device with evemu-record when it emits this behaviour and attach the recording here. This will make it possible for us to re-play the recording and check what's going on here.

rpms at: http://people.redhat.com/~phuttere/rpms/evemu/
more info: http://www.freedesktop.org/wiki/Evemu/

Comment 5 Peter Hutterer 2015-04-09 23:48:11 UTC
Unfortunately, we have to close this bug as INSUFFICIENT_DATA after over 6 months in needinfo state. If this is still an issue, please re-open the bug and provide the requested data. Please make sure you first test with a fully up-to-date RHEL 7 before re-opening though.


Note You need to log in before you can comment on or make changes to this bug.